Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 28 Dec 2010 10:48:34 +1100

Hi Mark, Takashi,

On Tue, 28 Dec 2010 10:40:24 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the sound-asoc tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "__tracepoint_snd_soc_jack_irq" [sound/soc/codecs/snd-soc-wm8962.ko] undefined!
> 
> In sound/soc/codecs/wm8962.c, the tracepoint is protected by
> CONFIG_SOUND_SOC_WM8962_MODULE, it should be CONFIG_SND_SOC_WM8962_MODULE.

I also got the same error in the sound tree, so I used the version of the
sound tree that would have been in next-20101223 again today.

Mark, I reversed the order of the trees today ...
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/